#{extends 'template/layout.html' /}
#{set title:'Role' /}
#{set 'moreStyles'}
<link rel="stylesheet" href="@{'/public/lte/bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css'}">
#{/set}
#{set 'moreScripts'}
<script src="@{'/public/lte/bower_components/datatables.net/js/jquery.dataTables.min.js'}"></script>
<script src="@{'/public/lte/bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js'}"></script>
<script type="text/javascript" src="@{'public/js-xlsx/jszip.js'}"></script>
<script type="text/javascript" src="@{'public/js-xlsx/xlsx.js'}"></script>
<!-- <script type="text/javascript" src="@{'public/utils/download-trx.js'}"></script> -->
<script type="text/javascript" src="@{'public/utils/download-role.js'}"></script>
<script type="text/javascript" src="@{'public/filesaver/FileSaver.min.js'}"></script>
<script>
    $(function () {
      $('table').DataTable();
    })
    var data_role = ${transJson2.raw()};
  </script>
#{/set}
<a href="@{CRole.form()}" class="btn btn-primary">
        <i class="fa fa-user-plus"></i>
        Tambah Role
    </a>
<br/><br/>
<table class="table table-bordered table-striped">
    <thead>
        <th width="20">#</th>
        <th >Nama</th>
        <th></th>
    </thead>
    #{list roles, as:'role'}
    <tr>
        <td>${role_index}</td>
        <td>${role.name}</td>
        <td>
            <a class="btn btn-primary btn-sm" href="@{CRole.form(role.id)}">
                <i class="fa fa-pencil"></i>
            </a>
            <a class="btn btn-primary btn-sm" href="@{CRole.delete(role.id)}">
                <i class="fa fa-trash"></i>
            </a>
        </td>
    </tr>
    #{/list}
</table>
<button class="btn btn-primary btn-sm" onclick="generateXlsxRole()">
        <i class="fa fa-file-excel-o"></i> Export To Excel
</button>
<button class="btn btn-primary btn-sm" onclick="generateJsonRole()">
        <i class="fa fa-file-excel-o"></i> Export To Json
</button>
